iMoveQuick

Upcomming QW 787 for p3d v3

Recommended Posts

Hi there,

I have a quick question regarding the compatibility of the QW 787 for p3d. Because from what I've read there will only be a FSX, FSX steam edition and a p3d v4 version of this plane.

But will the FSX version work with p3d v3?

Because at the moment I don't have the money to upgrade to p3d v4 and also buying the QW 787.

Regards,

 

Casper

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

3 minutes ago, iMoveQuick said:

Hi there,

I have a quick question regarding the compatibility of the QW 787 for p3d. Because from what I've read there will only be a FSX, FSX steam edition and a p3d v4 version of this plane.

That's correct. At least that's the information provided so far. And it makes sense IMO...

3 minutes ago, iMoveQuick said:

But will the FSX version work with p3d v3?

 

Nobody knows really... But somehow I doubt it.
But we'll see... Some people, found a way to make the FSX version of the PMDG NGX work in Prepar3D... 

Share this post


Link to post

From what I read on there FB page, v3 users are SOL. This sucks because what I see v4 is not up to par with v3.4 when it comes to planes, scenery and utilities. I hate being limited by updating to v4.  

 

Share this post


Link to post
25 minutes ago, Wise87 said:

From what I read on there FB page, v3 users are SOL. This sucks because what I see v4 is not up to par with v3.4 when it comes to planes, scenery and utilities. I hate being limited by updating to v4.  

 

V4 craps all over V3! What scenery, Planes and utilities are limited? More and more updated weekly. Within the next couple of months I think you will see most updated. V4 is the future. Anything prior to V4 is now dead. Especially FSX

  • Upvote 9

Share this post


Link to post
12 minutes ago, YukonPete said:

V4 craps all over V3! What scenery, Planes and utilities are limited? More and more updated weekly. Within the next couple of months I think you will see most updated. V4 is the future. Anything prior to V4 is now dead. Especially FSX

It is all a big change, obviously. But not a possible upgrade for everyone "Yet".

Share this post


Link to post
1 hour ago, Anders Bermann said:

That's correct. At least that's the information provided so far. And it makes sense IMO...

1 hour ago, iMoveQuick said:

Yeah it makes sense, but why make it compatible with the Old FSX and the new Steam FSX. IMO p3d v3 and lower is not that different from FSX. p3d V4 is. I know.

  • Upvote 1

Share this post


Link to post

I think it has something to do with the fact, that it doesn't make sense to make it compatible with Prepar3D 3.X and lower because new Prepar3D customers will purchase Prepar3D V4 and not the older versions.

The reason, that they'll make it compatible with FSX, FSX:SE etc is simply that they started development a century ago... And it's still possible to purchase FSX:SE at Steam.

Hope that made sense...

  • Upvote 1

Share this post


Link to post

P3Dv3 ? What is that ? Oh , wait , I remember when I was young there was a 32 bit version. But that is way back in time....

Just kiddin'. No one knows if an FSX version will work in V3. Just wait till someone else with FSX and V3 tried it.

  • Upvote 2

Share this post


Link to post
21 minutes ago, YukonPete said:

V4 craps all over V3! What scenery, Planes and utilities are limited? More and more updated weekly. Within the next couple of months I think you will see most updated. V4 is the future. Anything prior to V4 is now dead. Especially FSX

I still have a lot of planes and addons that are not V4 ready and I'm not going to list them all. V3 is still a stable platform. I know updates are coming in the next few months but not knowing my system specs  your crap comment is your opinion.  I'm sure there are others who feel that V4 needs to mature more before making the jump.

Share this post


Link to post

You early V4 adapters are funny. I bet you were the same way when P3D  first came out and quickly dumped on FSX. I think I'll take the PMDG 737 up for a spin today as you still wait for the V4 update :p

Share this post


Link to post

Its simple really. The FSX version will contribute to a very likelyhood of OOMs since its a complicated machine like FSL320 scrambling for every kb of memory to save and cutting features back, whereas the V4 version, ..... well no need to rub it in. 

  • Upvote 3

Share this post


Link to post

v4 is better without a doubt, but I'm running v3 as well since that's where most of my aircraft are parked.  Makes absolutely no sense to switch over completely until the addon world catches up.  However, once that ball gets rolling, over the next year or so, there will be no looking back.  For now, no reason whatsoever to ditch v3 unless you want to tootle around in default aircraft or pick from a limited selection of addons that are available.  Aerosoft?  Nope.  FsLabs?  Nah.  Qualitywings?  Nope.  And, we have absolutely no idea when these will be released as developers are either mum on the subject or they keep pushing dates back with each passing week.  Once the NGX is ready for v4, I will do much more flying in the sim because the 777 is not enough, and I'm really not fond of the 717 whatsoever after testing it out for the past week.  So, when I want to fly the Bus, I can still fall back on v3.  I don't see the sense in this mad rush to v4 considering how it's still way too early to expect much.

John

  • Upvote 1

Share this post


Link to post

Stay in FSX and V3, the developers going to limit themselves as well as the users (us) limiting ourselves. It's time to move on and eventhough V4 is not as stable as V3, it's just around a month old and I bet before you even realize it, people will consider V3 legacy.

We can choose whatever platform we want to play, so why not the developers can choose any platform they want to work on? Fair game.

Cheers,
Hoang Le

Share this post


Link to post
1 hour ago, GSalden said:

No one knows if an FSX version will work in V3

Most likely (or better: most definitely) the FSX version will not work with P3D (any version) because PD3 has another interface then FSX.

Share this post


Link to post
1 hour ago, Wise87 said:

You early V4 adapters are funny. I bet you were the same way when P3D  first came out and quickly dumped on FSX. I think I'll take the PMDG 737 up for a spin today as you still wait for the V4 update :p

I've owned every version of P3D and no I didn't dump FSX until P3Dv3. I still have P3Dv3 installed but its weeks are numbered. As soon as Orbx , FSLA320 and the Q400 are updated its bye bye v3. And to be honest I've only used v3 once since v4 was released. Its just to hard to go back. Clear scenery out to the horizon.

I was one of the smart ones who slowly moved to P3D over a number of years so I all of a sudden don't have a massive price shock to move.

 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now